summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2020-10-24 07:45:33 +0200
committerHans de Graaff <graaff@gentoo.org>2020-10-24 07:45:33 +0200
commit873e68cd30073986c2fafec924bb890f12467fee (patch)
treebe7e87a143d514f41273074a224c4e318e8d4658
parentsys-kernel/installkernel-systemd-boot: add ppc64 keyword (diff)
downloadgentoo-873e68cd30073986c2fafec924bb890f12467fee.tar.gz
gentoo-873e68cd30073986c2fafec924bb890f12467fee.tar.bz2
gentoo-873e68cd30073986c2fafec924bb890f12467fee.zip
dev-ruby/chunky_png: add 1.3.13
Package-Manager: Portage-3.0.8, Repoman-3.0.2 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/chunky_png/Manifest1
-rw-r--r--dev-ruby/chunky_png/chunky_png-1.3.13.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-ruby/chunky_png/Manifest b/dev-ruby/chunky_png/Manifest
index 5d39320168d8..2b93ae904dec 100644
--- a/dev-ruby/chunky_png/Manifest
+++ b/dev-ruby/chunky_png/Manifest
@@ -1,2 +1,3 @@
DIST chunky_png-1.3.11.gem 352768 BLAKE2B a60607830c41921f8e8018b91e459103d0a793a6c3a5491f36399dff0ac83dee09f66173f01e3e8f8f2bcf9fc69b1ffa53a9bc29adda758be75fefec391f7900 SHA512 5935bc7672ef4eb271abe0e2d4b83c2628ecb9d4fc1bb095d28d0f7fd5e13443492bc91b2c9c1de59d8bb669c185cddaeef62d03d3b0df88ecfaaa3c7a2a0ba6
DIST chunky_png-1.3.12.gem 353792 BLAKE2B dc891b23189ab4ff1f487d1ef3e83ede822261691c77a04d4ec4cb268902a6a3dac0db705644e7cceea6d5d097f520409005ebdf6496f5d3be339f2e0d27b13c SHA512 84325afc3903b3d0b4e4a19ebd9548029e02f68d45896efdcfe6eb23a64360f2c2b3d191c736cc172a11258828bf82687b950f95104cbdae639d00277c37bebf
+DIST chunky_png-1.3.13.gem 353792 BLAKE2B 9804e2baba7816b52f9ba10db0cfc6e4b45db05fa95f3d154163866bc97e6da644f6240f65e3d5ca8b984cd102346d8838986ca7a1441647cbddd168fee3857f SHA512 40596c3a404830571a24b4241b306ecf1600d7d76f6d535805fbf53640890526b941f0cdae0f9873d00858457a65edd6b415a627725cecb0c32b753e42bf1bc2
diff --git a/dev-ruby/chunky_png/chunky_png-1.3.13.ebuild b/dev-ruby/chunky_png/chunky_png-1.3.13.ebuild
new file mode 100644
index 000000000000..58f7a1ed2e69
--- /dev/null
+++ b/dev-ruby/chunky_png/chunky_png-1.3.13.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+
+RUBY_FAKEGEM_EXTRADOC="BENCHMARKING.rdoc CHANGELOG.rdoc README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="chunky_png.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pure Ruby library that can read and write PNG images"
+HOMEPAGE="https://wiki.github.com/wvanbergen/chunky_png"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/[bB]undler/s:^:#:' {spec,benchmarks}/*.rb || die
+ rm Gemfile* || die
+
+ # Avoid git dependency
+ sed -i -e '/s.files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+}